## ros-kinetic-mir-navigation 1.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
cmake_policy(SET CMP0048 NEW)
project(mir_navigation)

find_package(catkin REQUIRED COMPONENTS
  roslaunch
)

###################################
## catkin specific configuration ##
###################################
catkin_package()

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

# Mark executable scripts (Python etc.) for installation
# in contrast to setup.py, you can choose the destination
install(PROGRAMS
  mprim/genmprim_unicycle_highcost_5cm.py
  nodes/acc_finder.py
  nodes/min_max_finder.py
  scripts/plot_mprim.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
# install(TARGETS mir_navigation mir_navigation_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  config
  launch
  mprim
  rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_mir_navigation.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

roslaunch_add_file_check(launch)

=== debian/changelog ===
ros-kinetic-mir-navigation (1.0.7-2xenial) xenial; urgency=high

  * Add optional namespace to launch files
  * Add prefix to start_planner.launch (#67 <https://github.com/dfki-ric/mir_robot/issues/67>)
  * Contributors: Christoph Krause, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-kinetic-mir-navigation (1.0.6-2xenial) xenial; urgency=high

  * Add missing matplotlib dependency
  * plot_mprim: Fix color display
  * Fix bug in genmprim_unicycle_highcost_5cm
    In Python3, np.arange doesn't accept floats.
  * Fix some catkin_lint warnings
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-kinetic-mir-navigation (1.0.5-2xenial) xenial; urgency=high

  * Rename hector_mapping.launch, add dependency
  * genmprim.py: Improve plotting
  * genmprim.py: Make executable
  * SBPL: Reduce allocated_time + initial_epsilon params
    This leads to shorter planning times, but will perhaps fail on larger
    maps.
  * Update mprim file to mir-software 2.0.17
    This was updated in 2.0.17 and hasn't changed through 2.6 at least.
  * Add genmprim_unicycle matlab + python script, fix mprim file
  * Adjust dwb params: split_path, finer trajectories (#43 <https://github.com/dfki-ric/mir_robot/issues/43>)
    - use split_path option to enforce following complex paths
    - more trajectory samples over a smaller simulated time. This fixes a
    problem where the robot would stop too far away from the goal, as all
    possible trajectories either overshot the goal, or were too short to
    reach into the next gridcell of the critics.
    - remove Oscillation critic (never helped)
  * added PathDistPrunedCritic for dwb (#42 <https://github.com/dfki-ric/mir_robot/issues/42>)
    which works exactly like the original PathDistCritic, except that it
    searches for a local minimum in the distance from the global path to the robots
    current position. It then prunes the global_path from the start up to
    this point, therefore approximately cutting of a segment of the path
    that the robot already followed.
  * Add default local_planner to move_base launch file
    This makes the hector_mapping Gazebo demo work with the instructions
    from the README (see #32 <https://github.com/dfki-ric/mir_robot/issues/32>).
  * Contributors: Martin Günther, Nils Niemann

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-kinetic-mir-navigation (1.0.4-2xenial) xenial; urgency=high

  * Rviz config: Add planned paths + costmap from real MiR
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-kinetic-mir-navigation (1.0.3-2xenial) xenial; urgency=high

  * fix frame_id for melodic (#18 <https://github.com/dfki-ric/mir_robot/issues/18>)
  * Tune dwb parameters
  * PathProgressCritic: Add heading score
  * Use dwb_local_planner in move_base config
  * Move footprint param to move_base root namespace
    This allows other move_base plugins, such as dwb_local_planner, to
    access this parameter.
  * Add hector_mapping
  * amcl.launch: Change default, remap service
    This is required if amcl.launch is started within a namespace.
  * teb_local_planner: Fix odom topic name
  * Merge pull request #16 <https://github.com/dfki-ric/mir_robot/issues/16> from niniemann/add-prefix-argument-to-configs
    Add prefix argument to configs
  * adds $(arg prefix) to a lot of configs
    This is an important step to be able to re-parameterize move base,
    the diffdrive controller, ekf, amcl and the costmaps for adding a
    tf prefix to the robots links
  * mir_navigation: Adjust helper node topics
  * Add amcl launchfile (#11 <https://github.com/dfki-ric/mir_robot/issues/11>)
    * added amcl.launch
    * changed amcl params to default mir amcl parameters
  * Merge pull request #13 <https://github.com/dfki-ric/mir_robot/issues/13> from niniemann/fix-virtual-walls
    The previous configuration of the local costmap didn't work for me -- obstacles seen in the laser scans were not added, or were overridden by the virtual_walls_map layer. Reordering the layers and loading the virtual walls before the obstacles fixes this for me.
    Also, I added a with_virtual_walls parameter to start_maps.launch and start_planner.launch.
  * added with_virtual_walls parameter to start_maps and start_planner
  * reorder local costmap plugins
  * Revert "mir_navigation: Disable virtual walls if no map file set"
    This reverts commit 0cfda301b2bb1e8b3458e698efd24a7901e5d132.
    The reason is that the eval keyword was introduced in kinetic, so it
    doesn't work in indigo.
  * mir_navigation: Update rviz config
  * mir_navigation: Disable virtual walls if no map file set
  * mir_navigation: Rename virtual_walls args + files
  * mir_navigation: Remove parameter first_map_only
    This parameter must be set to false (the default) when running SLAM
    (otherwise the map updates won't be received), and when running a static
    map_server it doesn't matter; even then, it should be false to allow
    restarting the map_server with a different map. Therefore this commit
    removes it altogether and leaves it at the default of "false".
  * split parameter files between mapping/planning (#10 <https://github.com/dfki-ric/mir_robot/issues/10>)
    The differences are simple: When mapping, first_map_only must be
    set to false, and the virtual walls plugin must not be loaded
    (else move_base will wait for a topic that is not going to be
    published).
  * Document move_base params, add max_planning_retries
    Setting max_planning_retries to 10 makes the planner fail faster if the
    planning problem is infeasible. By default, there's an infinite number
    of retries, so we had to wait until the planner_patience ran out (5 s).
  * Update rviz config


=== debian/control ===
Source: ros-kinetic-mir-navigation
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-kinetic-mir-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-matplotlib, ros-kinetic-amcl, ros-kinetic-base-local-planner, ros-kinetic-dwb-critics, ros-kinetic-dwb-local-planner, ros-kinetic-dwb-plugins, ros-kinetic-hector-mapping, ros-kinetic-map-server, ros-kinetic-mir-driver, ros-kinetic-mir-dwb-critics, ros-kinetic-mir-gazebo, ros-kinetic-move-base, ros-kinetic-nav-core-adapter, ros-kinetic-sbpl-lattice-planner
Description: Launch and configuration files for move_base, localization etc.
 on the MiR robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-mir-navigation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
